#!/bin/sh -efu

if [ -n "${DURING_INSTALL-}" ]; then
	DURING_INSTALL= "$0" "$@" &
	exit 0
fi

. install2-init-functions

case "$METHOD" in
	cdrom|disk) ;;
	*) exit 0 ;;
esac

netdev_is_eth()
{
	local f="/sys/class/net/$1/type"
	[ -s "$f" ] && [ "$(cat "$f")" = 1 ]
}

netdev_is_real()
{
    [ ! -d "/sys/devices/virtual/net/$1" ]
}

netdev_find_bridge()
{
	local i
	for i in $netdev_list; do
		[ -L "/sys/class/net/$i/brif/$1" ] || continue
		echo "$i"
		break
	done
}

list_eth()
{
	netdev_list=$(find /sys/class/net/ -type l -printf '%f\n')

	for i in $netdev_list; do
		netdev_is_eth "$i" || continue
		netdev_is_real "$i" || continue

		local b
		b="$(netdev_find_bridge "$i")"
		echo "${b:-$i}"
	done
}

for i in $(list_eth); do
	dhcpcd -p $i || continue
	break
done

for i in $(list_eth); do
	[ -d "/sys/class/net/$i/bridge" ] ||
		ACTION=add ifaddbr $i ||:
done
